#!/bin/bash

#-------------------------------------------------------------------------------


mesg="NODE_IS_HEALTHY = True"


#-------------------------------------------------------------------------------
#
#  Test wichtiger Systemfunktionen
#  (Achtung, dieses Skript läuft als Benutzer "condor"!)::
#
#  - Festplatten und Dateisysteme:

#for fs in /storage/jbod/cheidecker /tmp/home/condor ; do
#  ( touch $fs/htcondor_hdastatus_error && rm -f $fs/htcondor_hdastatus_error || mesg="NODE_IS_HEALTHY = \"$fs readonly\"" ) 2>/dev/null
#done


# check storage server:
#for fs in 8/dmueller 9/cheidecker b/amsdata; do
for fs in 9/; do
  if [ ! -e "/storage/$fs/checkfile" ] ; then
      mesg="NODE_IS_HEALTHY = \"storage ${fs%/*} is not mounted\"" 
  fi
done

# check work storage
if [ ! -e "/work/checkfile" ] ; then
    mesg="NODE_IS_HEALTHY = \"work is not mounted\""
fi

# check ceph storage:
# if [ ! -e "/ceph/checkfile" ] ; then
#     mesg="NODE_IS_HEALTHY = \"ceph is not mounted\""
# fi

#  check CVMFS:
cvmfs_config probe >/dev/null 2>&1 || mesg="NODE_IS_HEALTHY = \"Check CVMFS\""

# /usr/users
#if [ ! -d /usr/users/mschnepf ] ;then
#    mesg="NODE_IS_HEALTHY = \"/usr/users is not mounted\"" 
#fi



[ -z "$mesg" ] && mesg="NODE_IS_HEALTHY = \"true\""

#-------------------------------------------------------------------------------


echo $mesg


#-------------------------------------------------------------------------------
# remove old docker container
number_of_stopped_container=`docker ps --filter "status=exited" --filter "name=HTCJob*" | wc -l`
if [ $number_of_stopped_container -gt 1 ];
then
        docker rm $(docker ps --filter "status=exited" --filter "name=HTCJob*" -q) > /dev/null
        echo "remove containter"
fi
